//
//  BWTexturedSlider.h
//  BWToolkit
//
//  Created by Brandon Walkin (www.brandonwalkin.com)
//  All code is provided under the New BSD license.
//

#import <Cocoa/Cocoa.h>

@interface BWTexturedSlider : NSSlider
{
	NSInteger trackHeight, indicatorIndex;
	NSRect sliderCellRect;
	NSButton *minButton, *maxButton;
}

@property NSInteger indicatorIndex;
@property (retain) NSButton *minButton;
@property (retain) NSButton *maxButton;

- (NSInteger)trackHeight;
- (void)setTrackHeight:(NSInteger)newTrackHeight;

@end
